libpqxx 3.1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
pqxx::result::const_reverse_fielditerator Class Reference

`#include <result.hxx>`

Inheritance diagram for pqxx::result::const_reverse_fielditerator:

## Public Types

typedef const_fielditerator | super
typedef const_fielditerator | iterator_type
typedef tuple::difference_type | difference_type
typedef field | reference

## Public Member Functions

| const_reverse_fielditerator (const const_reverse_fielditerator &r)
| const_reverse_fielditerator (const super &rhs) throw ()
iterator_type | base () const throw ()
Manipulations
const_reverse_fielditerator & | operator= (const const_reverse_fielditerator &r)
const_reverse_fielditerator | operator++ ()
const_reverse_fielditerator | operator++ (int)
const_reverse_fielditerator & | operator-- ()
const_reverse_fielditerator | operator-- (int)
const_reverse_fielditerator & | operator+= (difference_type i)
const_reverse_fielditerator & | operator-= (difference_type i)
Arithmetic operators
const_reverse_fielditerator | operator+ (difference_type i) const
const_reverse_fielditerator | operator- (difference_type i)
difference_type | operator- (const const_reverse_fielditerator &rhs) const
Comparisons
bool | operator== (const const_reverse_fielditerator &rhs) const throw ()
bool | operator!= (const const_reverse_fielditerator &rhs) const throw ()
bool | operator< (const const_reverse_fielditerator &rhs) const
bool | operator<= (const const_reverse_fielditerator &rhs) const
bool | operator> (const const_reverse_fielditerator &rhs) const
bool | operator>= (const const_reverse_fielditerator &rhs) const

## Additional Inherited Members

Private Types inherited from pqxx::result::const_fielditerator
typedef tuple::size_type | size_type
typedef tuple::difference_type | difference_type
typedef field | reference
Private Member Functions inherited from pqxx::result::const_fielditerator
| const_fielditerator (const tuple &T, tuple::size_type C) throw ()
| const_fielditerator (const field &F) throw ()
pointer | operator-> () const
reference | operator* () const
const_fielditerator | operator++ (int)
const_fielditerator & | operator++ ()
const_fielditerator | operator-- (int)
const_fielditerator & | operator-- ()
const_fielditerator & | operator+= (difference_type i)
const_fielditerator & | operator-= (difference_type i)
bool | operator== (const const_fielditerator &i) const
bool | operator!= (const const_fielditerator &i) const
bool | operator< (const const_fielditerator &i) const
bool | operator<= (const const_fielditerator &i) const
bool | operator> (const const_fielditerator &i) const
bool | operator>= (const const_fielditerator &i) const
const_fielditerator | operator+ (difference_type) const
const_fielditerator | operator- (difference_type) const
difference_type | operator- (const_fielditerator) const
Friends inherited from pqxx::result::const_fielditerator

## Member Typedef Documentation

typedef tuple::difference_type pqxx::result::const_fielditerator::difference_type

typedef const_fielditerator pqxx::result::const_reverse_fielditerator::iterator_type

typedef field pqxx::result::const_fielditerator::reference

typedef const_fielditerator pqxx::result::const_reverse_fielditerator::super

## Constructor & Destructor Documentation

pqxx::result::const_reverse_fielditerator::const_reverse_fielditerator | ( | const const_reverse_fielditerator & | r | ) |

pqxx::result::const_reverse_fielditerator::const_reverse_fielditerator | ( | const super & | rhs | ) | throw ()

explicit

## Member Function Documentation

pqxx::result::const_fielditerator pqxx::result::const_reverse_fielditerator::base | ( |  | ) | const throw ()

bool pqxx::result::const_reverse_fielditerator::operator!= | ( | const const_reverse_fielditerator & | rhs | ) | const throw ()

const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator+ | ( | difference_type | i | ) | const

const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator++ | ( |  | ) |

pqxx::result::const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator++ | ( | int |  | ) |

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator+= | ( | difference_type | i | ) |

const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator- | ( | difference_type | i | ) |

difference_type pqxx::result::const_reverse_fielditerator::operator- | ( | const const_reverse_fielditerator & | rhs | ) | const

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator-- | ( |  | ) |

pqxx::result::const_reverse_fielditerator pqxx::result::const_reverse_fielditerator::operator-- | ( | int |  | ) |

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator-= | ( | difference_type | i | ) |

bool pqxx::result::const_reverse_fielditerator::operator< | ( | const const_reverse_fielditerator & | rhs | ) | const

bool pqxx::result::const_reverse_fielditerator::operator<= | ( | const const_reverse_fielditerator & | rhs | ) | const

const_reverse_fielditerator& pqxx::result::const_reverse_fielditerator::operator= | ( | const const_reverse_fielditerator & | r | ) |

bool pqxx::result::const_reverse_fielditerator::operator== | ( | const const_reverse_fielditerator & | rhs | ) | const throw ()

bool pqxx::result::const_reverse_fielditerator::operator> | ( | const const_reverse_fielditerator & | rhs | ) | const

bool pqxx::result::const_reverse_fielditerator::operator>= | ( | const const_reverse_fielditerator & | rhs | ) | const

The documentation for this class was generated from the following files:

- result.hxx
- result.cxx